<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: FirearmActionLoadBulletQuick Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dd/d76/class_firearm_action_load_bullet_quick.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">FirearmActionLoadBulletQuick Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for FirearmActionLoadBulletQuick:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../dd/d76/class_firearm_action_load_bullet_quick.png" usemap="#FirearmActionLoadBulletQuick_map" alt=""/>
  <map id="FirearmActionLoadBulletQuick_map" name="FirearmActionLoadBulletQuick_map">
<area href="../../d1/d3a/class_firearm_action_base.html" alt="FirearmActionBase" shape="rect" coords="0,0,184,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:aaa4e4fe659053f0780d0a3cf39a553d1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d76/class_firearm_action_load_bullet_quick.html#aaa4e4fe659053f0780d0a3cf39a553d1">FirearmActionLoadBulletQuick</a> ()</td></tr>
<tr class="separator:aaa4e4fe659053f0780d0a3cf39a553d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5fc17c75f7375bb063d8ea1b9065727"><td class="memItemLeft" align="right" valign="top">override&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d76/class_firearm_action_load_bullet_quick.html#ad5fc17c75f7375bb063d8ea1b9065727">GetInputType</a> ()</td></tr>
<tr class="separator:ad5fc17c75f7375bb063d8ea1b9065727"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0b81f124dfddae940ecd4bf57328ea0"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d76/class_firearm_action_load_bullet_quick.html#ac0b81f124dfddae940ecd4bf57328ea0">CreateConditionComponents</a> ()</td></tr>
<tr class="separator:ac0b81f124dfddae940ecd4bf57328ea0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a317dcffd9474ce6c6de81a9e3f33c3"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d76/class_firearm_action_load_bullet_quick.html#a3a317dcffd9474ce6c6de81a9e3f33c3">HasProgress</a> ()</td></tr>
<tr class="separator:a3a317dcffd9474ce6c6de81a9e3f33c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ab13dccbcb294a98195edaed985b86a"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d76/class_firearm_action_load_bullet_quick.html#a4ab13dccbcb294a98195edaed985b86a">ActionCondition</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</td></tr>
<tr class="separator:a4ab13dccbcb294a98195edaed985b86a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d31d546adeae3b6711effe177de0ab1"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d76/class_firearm_action_load_bullet_quick.html#a2d31d546adeae3b6711effe177de0ab1">SetupAction</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item, out <a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data, <a class="el" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a> extra_data=NULL)</td></tr>
<tr class="separator:a2d31d546adeae3b6711effe177de0ab1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:affb6d8dfe9b9482bf93e64628df08215"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d76/class_firearm_action_load_bullet_quick.html#affb6d8dfe9b9482bf93e64628df08215">Start</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:affb6d8dfe9b9482bf93e64628df08215"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../df/d32/_firearm_action_load_bullet_8c_source.html#l00073">73</a> of file <a class="el" href="../../df/d32/_firearm_action_load_bullet_8c_source.html">FirearmActionLoadBullet.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="aaa4e4fe659053f0780d0a3cf39a553d1" name="aaa4e4fe659053f0780d0a3cf39a553d1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa4e4fe659053f0780d0a3cf39a553d1">&#9670;&#160;</a></span>FirearmActionLoadBulletQuick()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void FirearmActionLoadBulletQuick::FirearmActionLoadBulletQuick </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d32/_firearm_action_load_bullet_8c_source.html#l00078">78</a> of file <a class="el" href="../../df/d32/_firearm_action_load_bullet_8c_source.html">FirearmActionLoadBullet.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a4ab13dccbcb294a98195edaed985b86a" name="a4ab13dccbcb294a98195edaed985b86a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4ab13dccbcb294a98195edaed985b86a">&#9670;&#160;</a></span>ActionCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> FirearmActionLoadBulletQuick::ActionCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d32/_firearm_action_load_bullet_8c_source.html#l00098">98</a> of file <a class="el" href="../../df/d32/_firearm_action_load_bullet_8c_source.html">FirearmActionLoadBullet.c</a>.</p>

</div>
</div>
<a id="ac0b81f124dfddae940ecd4bf57328ea0" name="ac0b81f124dfddae940ecd4bf57328ea0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac0b81f124dfddae940ecd4bf57328ea0">&#9670;&#160;</a></span>CreateConditionComponents()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void FirearmActionLoadBulletQuick::CreateConditionComponents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d32/_firearm_action_load_bullet_8c_source.html#l00087">87</a> of file <a class="el" href="../../df/d32/_firearm_action_load_bullet_8c_source.html">FirearmActionLoadBullet.c</a>.</p>

</div>
</div>
<a id="ad5fc17c75f7375bb063d8ea1b9065727" name="ad5fc17c75f7375bb063d8ea1b9065727"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad5fc17c75f7375bb063d8ea1b9065727">&#9670;&#160;</a></span>GetInputType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override FirearmActionLoadBulletQuick::GetInputType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d32/_firearm_action_load_bullet_8c_source.html#l00082">82</a> of file <a class="el" href="../../df/d32/_firearm_action_load_bullet_8c_source.html">FirearmActionLoadBullet.c</a>.</p>

</div>
</div>
<a id="a3a317dcffd9474ce6c6de81a9e3f33c3" name="a3a317dcffd9474ce6c6de81a9e3f33c3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3a317dcffd9474ce6c6de81a9e3f33c3">&#9670;&#160;</a></span>HasProgress()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> FirearmActionLoadBulletQuick::HasProgress </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d32/_firearm_action_load_bullet_8c_source.html#l00093">93</a> of file <a class="el" href="../../df/d32/_firearm_action_load_bullet_8c_source.html">FirearmActionLoadBullet.c</a>.</p>

</div>
</div>
<a id="a2d31d546adeae3b6711effe177de0ab1" name="a2d31d546adeae3b6711effe177de0ab1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2d31d546adeae3b6711effe177de0ab1">&#9670;&#160;</a></span>SetupAction()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> FirearmActionLoadBulletQuick::SetupAction </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a>&#160;</td>
          <td class="paramname"><em>extra_data</em> = <code>NULL</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d32/_firearm_action_load_bullet_8c_source.html#l00111">111</a> of file <a class="el" href="../../df/d32/_firearm_action_load_bullet_8c_source.html">FirearmActionLoadBullet.c</a>.</p>

</div>
</div>
<a id="affb6d8dfe9b9482bf93e64628df08215" name="affb6d8dfe9b9482bf93e64628df08215"></a>
<h2 class="memtitle"><span class="permalink"><a href="#affb6d8dfe9b9482bf93e64628df08215">&#9670;&#160;</a></span>Start()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void FirearmActionLoadBulletQuick::Start </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d32/_firearm_action_load_bullet_8c_source.html#l00125">125</a> of file <a class="el" href="../../df/d32/_firearm_action_load_bullet_8c_source.html">FirearmActionLoadBullet.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/UserActionsComponent/Actions/Weapons/<a class="el" href="../../df/d32/_firearm_action_load_bullet_8c_source.html">FirearmActionLoadBullet.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dd/d76/class_firearm_action_load_bullet_quick.html">FirearmActionLoadBulletQuick</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
